Attachments

List message attachments

Returns all attachments for the given message, along with a total count. Use this endpoint to list message attachments through the Samva email API.

GET
/v1/attachments

Returns all attachments for the given message, along with a total count.

x-api-key<token>

In: header

Query Parameters

messageId*string
Match^msg_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/attachments?messageId=string"
{  "attachments": [    {      "id": "string",      "messageId": "string",      "organizationId": "string",      "filename": "string",      "contentType": "string",      "size": 0,      "contentId": "string",      "isInline": true,      "createdAt": "string"    }  ],  "total": 0}

Related